﻿Module Module1

    '車の状態を表示するメソッド
    Public Sub ShowMeter(car As SportsCar)
        'コンソールの表示を消す
        Console.Clear()

        '各プロパティの内容を表示する
        Console.WriteLine("スピード：{0}km/h", car.Speed)
        Console.WriteLine("ガソリン：{0}L", car.Gas)
    End Sub

    Sub Main()
        'インスタンス生成
        Dim car As New SportsCar(60)

        '状態を表示
        ShowMeter(car)

        While True
            '操作を入力
            Console.Write("1)加速　2)減速　9)終了：")
            Dim inputdata As String = Console.ReadLine()

            '操作によって分岐する
            Select Case inputdata
                Case "1"
                    '加速する
                    car.SpeedUp(10)
                    ShowMeter(car)
                Case "2"
                    '減速する
                    car.SpeedDown(5)
                    ShowMeter(car)
                Case "9"
                    'プログラムを終了する
                    Return
                Case Else
                    ShowMeter(car)
            End Select
        End While
    End Sub

End Module
